## nrpe-ng 0.1.2

=== Makefile ===
# This file is part of nrpe-ng.
# Copyright (C) 2014  Chris Boot <bootc@bootc.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

PYTHON3 := $(shell which python3)

all: flake8

clean:
	find $(CURDIR) -name .git -prune -o -name \*.pyc -type f -print0 | \
		xargs -0 rm

flake8:
	$(PYTHON3) -m flake8 $(CURDIR)

=== debian/changelog ===
nrpe-ng (0.1.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update gbp.conf to track the new jessie-backports branch.

 -- Chris Boot <crb@tiger-computing.co.uk>  Wed, 04 Jan 2017 12:32:35 +0000

nrpe-ng (0.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #848343)

 -- Chris Boot <crb@tiger-computing.co.uk>  Mon, 19 Dec 2016 12:17:31 +0000

=== debian/control ===
Source: nrpe-ng
Maintainer: Chris Boot <crb@tiger-computing.co.uk>
Uploaders: Jonathan Wiltshire <jmw@tiger-computing.co.uk>
Section: net
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-all (>= 3.4~),
 python3-coverage,
 python3-nose,
 python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/bootc/nrpe-ng
Vcs-Browser: https://github.com/bootc/nrpe-ng
Vcs-Git: https://github.com/bootc/nrpe-ng.git
X-Python3-Version: >= 3.4

Package: nrpe-ng
Architecture: all
Depends:
 adduser,
 lsb-base (>= 3.0-6),
 python3-pkg-resources,
 ssl-cert,
 ${misc:Depends},
 ${python3:Depends},
Description: Next-generation Nagios remote plugin agent
 Nagios is a host/service/network monitoring and management system.
 .
 This is a rewrite from the ground up of NRPE, a Nagios remote plugin agent.
 This set of programs allows you to run Nagios check scripts on a remote host
 in a transparent and secure manner.

## nrpe-ng 0.2.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is part of nrpe-ng.
-# Copyright (C) 2014  Chris Boot <bootc@bootc.net>
+# Copyright (C) 2014-17  Chris Boot <bootc@bootc.net>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License

=== debian/changelog ===
nrpe-ng (0.2.0-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop dependency on Nose (Closes: #1018425)
  * Switch to DebHelper 13

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Sep 2024 20:18:32 +0200

nrpe-ng (0.2.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 22:16:07 +0200

nrpe-ng (0.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:29:25 +0200

nrpe-ng (0.2.0-1) unstable; urgency=medium

  * New upstream release.
    - check_nrpe_ng uses /etc/nagios/check_nrpe_ng.cfg by default.
      (Closes: #851985)
    - check_nrpe_ng implements the ssl_verify_server=0 option.
      (Closes: #851988)
    - Implements a no-op command to return the server version for testing
      connectivity between client and server. (Closes: #851990)
  * Update Build-Depends:
    - Bump dh-python to >= 2.20160609~ in order to get the correct version of
      dependencies for backports.
    - Depend on python3-daemon (>= 2.0~), python3-requests, python3-tornado
      (>= 4.4~): new upstream dependencies.
  * Bump Standards-Version to 4.0.1:
    - Update URL in debian/copyright to https.
  * debian/copyright: remove section for files removed from upstream source.

 -- Chris Boot <crb@tiger-computing.co.uk>  Tue, 08 Aug 2017 15:59:46 -0400

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,23 @@
 Section: net
 Priority: optional
 Build-Depends:
- debhelper (>= 10),
- dh-python,
- python3-all (>= 3.4~),
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
  python3-coverage,
- python3-nose,
+ python3-daemon,
+ python3-requests,
  python3-setuptools,
-Standards-Version: 3.9.8
+ python3-tornado,
+Standards-Version: 4.0.1
 Homepage: https://github.com/bootc/nrpe-ng
-Vcs-Browser: https://github.com/bootc/nrpe-ng
-Vcs-Git: https://github.com/bootc/nrpe-ng.git
-X-Python3-Version: >= 3.4
+Vcs-Browser: https://salsa.debian.org/debian/nrpe-ng
+Vcs-Git: https://salsa.debian.org/debian/nrpe-ng.git
 
 Package: nrpe-ng
 Architecture: all
 Depends:
  adduser,
- lsb-base (>= 3.0-6),
  python3-pkg-resources,
  ssl-cert,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(firstword $(shell dh_listpackages))
PKG_DIR = $(CURDIR)/debian/$(PACKAGE)

export PYBUILD_NAME=nrpe-ng
export PYBUILD_TEST_ARGS=-c $(CURDIR)/setup.cfg

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	cp $(CURDIR)/config/nagios_check_nrpe_ng.cfg \
		$(PKG_DIR)/etc/nagios-plugins/config/check_nrpe_ng.cfg
	mv $(PKG_DIR)/usr/bin/check_nrpe_ng $(PKG_DIR)/usr/lib/nagios/plugins/
	mv $(PKG_DIR)/usr/bin/nrpe-ng $(PKG_DIR)/usr/sbin/
	rmdir $(PKG_DIR)/usr/bin/
	find $(PKG_DIR)/ -type f -name .coverage -delete

override_dh_auto_clean:
	dh_auto_clean
	rm -rf nrpe_ng.egg-info/

override_dh_auto_test:
	# no test included & project dead upstream

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/nrpe-ng-$1\.tar\.gz/ \
  https://github.com/bootc/nrpe-ng/tags .*/v?(\d\S*)\.tar\.gz
